function initTasksTable() {
  var mailboxName = $('input[name="mailbox"]').val();
  $('table.taskCol td.empty').each(function() {
    var n = $(this).attr('rowspan');
    $(this).removeAttr('rowspan');
    if(n)
      for(var i = 0; i < (n - 1); i++)
        $(this).parent().after('<tr><td class="empty">&nbsp;</td></tr>');
  });
  $('table.taskCol td.task').each(function() {
    var n = $(this).attr('rowspan');
    if(n)
      for(var i = 0; i < (n - 1); i++)
        $(this).parent().after('<tr></tr>');
  });
  var cols = $('.tasksContainer > tbody > tr > td').length;
  if(cols < 2) {
    $('.tasksContainer > tbody > tr').append(
      '<td width="90%"><table class="tasksCalendar taskCol" width="100%" cellspacing="0" cellpadding="0"></table></td>'
    );
    $('.dateCol tr').each(function() {
      $('.taskCol').append('<tr><td class="empty">&nbsp;</td></tr>');
    });
  } else {
    var width = (90 / (cols - 1)).toFixed() + '%';
    $('.tasksContainer > tbody > tr > td').each(function(i) {
      if(i != 0) $(this).attr('width', width);
    });
  }
  $('.dateRange a').text($('.dateCol tr:first-child td').text() + ' - ' + $('.dateCol tr:last-child td').text());
}

$(document).ready(function () {
	initTasksTable();
});
