import{_ as e,c as p,o as t,ag as a,j as n,a as l}from"./chunks/framework.jCcxW76o.js";const T=JSON.parse('{"title":"Модуль XIMSS","description":"","frontmatter":{"legacyLink":"russian/XIMSS.html"},"headers":[],"relativePath":"russian/admin/access/XIMSS.md","filePath":"russian/admin/access/XIMSS.md"}'),o={name:"russian/admin/access/XIMSS.md"};function i(c,s,d,S,r,u){return t(),p("div",null,s[0]||(s[0]=[a(`<h1 id="модуль-ximss" tabindex="-1">Модуль XIMSS <a class="header-anchor" href="#модуль-ximss" aria-label="Permalink to &quot;Модуль XIMSS&quot;">​</a></h1><p>В модуле XIMSS CommuniGate Pro реализован открытый протокол <a href="./../../development/XMLAPI.html">XIMSS</a>. Этот протокол поддерживает современные клиентские приложения, позволяя им получать доступ к функциям Сервера эффективным и безопасным образом.</p><p>Модуль XIMSS CommuniGate Pro поддерживает как <em>незашифрованные</em>, так и <em>безопасные (SSL/TLS)</em> соединения.</p><p>Полное описание протокола и его возможностей смотрите в разделе <a href="./../../development/XMLAPI.html">Протокол XIMSS</a>.</p><p>Использование модуля XIMSS CommuniGate Pro требует специального Лицензионного Ключа для групповой работы или специального Лицензионного Ключа XIMSS. Без таких Ключей Сервер будет обслуживать до 5 одновременных XIMSS сессий.</p><h2 id="Configuring" tabindex="-1">Настройка Модуля XIMSS <a class="header-anchor" href="#Configuring" aria-label="Permalink to &quot;Настройка Модуля XIMSS {#Configuring}&quot;">​</a></h2><p>Для настройки параметров модуля XIMSS используйте Веб Интерфейс Администратора. Откройте страницу Доступ в разделе Установки:</p><form action="Null.html"><div class="settingsBox"><table width="100%"><tbody><tr><td class="settingBoxCaption" colspan="2"><b>Обработка</b></td></tr><tr><td align="right">Уровень Журнала:</td><td><select name="XIMSSLog"><option value="0">Катастрофы</option><option value="1">Сбои</option><option value="2" selected="selected">Основное</option><option value="3">Проблемы</option><option value="4">Подробности</option><option value="5">Всё</option></select></td><td align="right">Каналы:</td><td><select name="XIMSSChannels"><option value="0">выкл</option><option value="1">1</option><option value="3">3</option><option value="5">5</option><option value="10">10</option><option value="25">25</option><option value="50">50</option><option value="100" selected="selected">100</option><option value="250">250</option><option value="500">500</option><option value="1000">1000</option><option value="1000">3000</option><option value="1000">10000</option><option value="1000">30000</option><option value="1001">другое</option></select></td><td class="arrow" align="right"><a href="Listener.html">Приёмник</a></td></tr></tbody></table></div></form><p>Используйте эту настройку для того, чтобы указать, какую информацию модуль XIMSS должен сохранять в Журнале работы Сервера. Обычно используется уровень <code>Основное</code> (отчёты о передаче сообщений) или уровень <code>Проблемы</code> (передача сообщений и не фатальные ошибки). В случае, если в работе модуля XIMSS возникают проблемы, возможно, целесообразным будет увеличить детализацию до уровня <code>Подробности</code> или <code>Всё</code>: в этом случае в Журнал работы Сервера будет записываться также более подробная информация о работе модуля на уровне протокола или на уровне соединений. Когда проблема решена, верните настройку Уровень Журнала в её обычное значение, иначе Системный Журнал будет очень быстро увеличивать свой размер.</p><p>Записи, помещённые модулем XIMSS в Журнал работы Сервера, имеют пометку <code>XIMSSI</code>.</p><p>Когда вы указываете ненулевое значение в настройке <code>Максимальное число Каналов</code>, Модуль XIMSS создаёт так называемый <a href="./../network/Listener.html">Приёмник</a>. Модуль начинает принимать все соединения по протоколу XIMSS, которые устанавливают клиенты для взаимодействия с Сервером. Эта настройка используется для того, чтобы ограничить число одновременных соединений, которое может принимать модуль XIMSS. Если открыто предельное число соединений, то модуль будет отказывать в приёме новых соединений. В этом случае клиентские приложения должны попытаться соединиться позднее.</p><p>По умолчанию, Приёмник модуля XIMSS принимает незашифрованные соединения на TCP порт 11024. Нажмите на ссылку Приёмник для того, чтобы настроить порт <a href="./../network/Listener.html">Приёмника</a> XIMSS.</p><h2 id="HandOver" tabindex="-1">Соединения XIMSS с Другими Модулями <a class="header-anchor" href="#HandOver" aria-label="Permalink to &quot;Соединения XIMSS с Другими Модулями {#HandOver}&quot;">​</a></h2><p>Соединения по протоколу XIMSS могут устанавливаться на TCP порты, обслуживаемыми другими модулями CommuniGate Pro. Если в соединении, установленном с модулем <a href="./../services/HTTP.html">HTTP</a>, первым полученным символом будет <code>&lt;</code>, то HTTP модуль передаёт соединение в модуль XIMSS.</p><p>При передаче соединения:</p><ul><li>логическая работа передающего модуля завершается.</li><li>логическая работа модуля XIMSS начинается точно таким же образом, как если бы XIMSS соединение было получено на порт, обслуживаемый модулем XIMSS.</li><li>учитываются ограничения модуля XIMSS на общее количество Каналов XIMSS и количество каналов, открытых с одного IP адреса.</li></ul><p>Если все пользователи устанавливают соединения по протоколу XIMSS через порты других Модулей, то вы можете отключить <a href="./../network/Listener.html">Приёмник</a> XIMSS, обнулив значения портов.</p><h2 id="FlashSec" tabindex="-1">Безопасность Flash Клиентов <a class="header-anchor" href="#FlashSec" aria-label="Permalink to &quot;Безопасность Flash Клиентов {#FlashSec}&quot;">​</a></h2><p>Когда Flash клиент соединяется с <em>XMLSocket</em> сервера (таким, как модуль XIMSS CommuniGate Pro), он может отправить специальный запрос <code>policy-file-request</code> (запрос файла политики). Модуль XIMSS направляет в ответ XML документ, позволяющий клиенту получать доступ к любому порту Сервера.</p><h2 id="Sessions" tabindex="-1">Сессии XIMSS <a class="header-anchor" href="#Sessions" aria-label="Permalink to &quot;Сессии XIMSS {#Sessions}&quot;">​</a></h2><p>Когда пользователь аутентифицирован, модуль XIMSS создаёт сессию XIMSS. Для взаимодействия с этой сессией может использоваться текущее соединение TCP модуля XIMSS.</p><p>Сессия XIMSS может быть создана и вне модуля XIMSS, используя специальные запросы, отправляемые модулю <a href="./../services/HTTP.html">HTTP</a> User. Дополнительную информацию смотрите в разделе <a href="./../../development/XMLAPI.html#HTTP">Протокол XIMSS</a>.</p><p>Записи о сессии XIMSS, помещаемые в Журнал работы Сервера, имеют пометку <code>XIMSS</code>.</p><h2 id="HTTPBind" tabindex="-1">Привязка к HTTP <a class="header-anchor" href="#HTTPBind" aria-label="Permalink to &quot;Привязка к HTTP {#HTTPBind}&quot;">​</a></h2><p>Клиентское приложение может работать с интерфейсом XIMSS по протоколу HTTP.</p><p>Для создания новой сессии XIMSS, клиентское приложение должно отправить HTTP запрос на Вход.</p><p>Когда сессия XIMSS создана, клиентское приложение может отправлять в неё запросы протокола XIMSS и получать ответы протокола XIMSS, используя HTTP запросы.</p><p>Клиентские приложения могут использовать запросы HTTP <code>GET</code> и <code>POST</code>.<br> Если запрос содержит тело, то подразумевается, что оно является текстом XML, независимо от действительного значения поля заголовка Content-Type. Текст XML должен быть элементом <code>&lt;XIMSS/&gt;</code>.<br> Если в результате запроса создаётся непустое тело ответа, то это тело всегда является XML текстом, в котором содержится один элемент <code>&lt;XIMSS/&gt;</code>, а полем заголовка Content-Type является <code>text/xml</code>.</p><p>Откройте установки Модуля HTTPU и найдите раздел Доп. протоколов:</p><form action="Null.html"><div class="settingsBox"><table width="100%"><tbody><tr><td class="settingBoxCaption" colspan="2"><b>Доп. протоколы</b></td></tr><tr><th> </th><th align="LEFT">Доступ</th></tr><tr><td align="RIGHT">XIMSS:</td><td><select name="HTTPXIMSSMode"><option value="nobody">никому</option><option value="clients" selected="selected">клиенты</option><option value="everybody">всем</option></select></td></tr></tbody></table></div></form><p>Установка Доступ определяет, клиенты из каких сетей могут создавать сессии XIMSS, используя протокол HTTP.</p><h3 id="HTTPLogin" tabindex="-1">HTTP Вход <a class="header-anchor" href="#HTTPLogin" aria-label="Permalink to &quot;HTTP Вход {#HTTPLogin}&quot;">​</a></h3><p>Для начала XIMSS сессии, клиентское приложение должно отправить HTTP запрос в модуль HTTPU CommuniGate Pro, используя следующие URL:</p><p><code>http://domainName_[:_port_]/ximsslogin/</code><br> или <code>https://_domainName_[:_port_]/ximsslogin/</code></p><p>Если в запросе содержится параметр <code>userName</code>, то Сервер пытается аутентифицировать указанного Пользователя:</p><ul><li>Если присутствует параметр <code>password</code>, то используется обычный незашифрованный метод.</li><li>Если присутствует параметр <code>nonce</code>, то используется метод <a href="./../sysadmin/Security.html">CRAM-MD5</a>. Значением параметра &quot;nonce&quot; должно быть действительное значение, полученное с ответом <code>features</code> (смотрите ниже). Запрос должен содержать параметр <code>authData</code>, содержащий &quot;ответ на вызов&quot; CRAM-MD5 в кодировке base64.</li><li>Если присутствует параметр <code>sessionid</code>, то используется метод <a href="./../sysadmin/Security.html#SessionIDSASL">SessionID</a>.</li><li>Если указан параметр <code>errorAsXML</code>, а операция входа заканчивается с ошибкой, код ошибки возвращается не как код ответа протокола HTTP, а в виде элемента <code>&lt;response/&gt;</code> с атрибутами <code>errorNum</code> и <code>errorText</code>, заключённого в элемент <code>&lt;XIMSS/&gt;</code>.</li><li>Если присутствует параметр <code>version</code>, его значение указывает на версию протокола, используемую клиентом (смотрите параметры операции <a href="./../../development/XMLAPI.html#Login">login</a>).</li></ul><p>Если параметр <code>userName</code> отсутствует, то Сервер пытается аутентифицировать запрос, используя <a href="./../sysadmin/PKI.html#ClientCert">TLS Сертификат Клиента</a> (если он задан) или используя методы аутентификации HTTP.<br> Эта функциональность аналогична используемой в Веб Интерфейсе функциональности <a href="./WebUser.html#Auto">Автоматического Вход и Единого Механизма Входа</a>, но здесь используется URL <code>/ximsslogin/</code>.</p><p>Запрос на URL <code>/ximsslogin/</code> может содержать тело <code>text/xml</code>. В этом случае, операция входа не выполняется.<br> XML тело должно содержать один элемент <code>&lt;XIMSS&gt;</code>, содержащий, в свою очередь, одну или несколько <a href="./../../development/XMLAPI.html#PreLogin">Предшествующие Входу операций</a> XIMSS. Сервер отправляет HTTP ответ с данными XML. Ответом является элемент <code>&lt;XIMSS&gt;</code>, содержащий результаты выполнения затребованных операций.</p><p>Пример:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>C:GET /ximsslogin/ HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Type: text/xml</span></span>
<span class="line"><span>  Content-Length: 42</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;listFeatures id=&quot;list&quot; /&gt;&lt;XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 231</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;features id=&quot;s&quot; domain=&quot;x.domain.dom&quot;&gt;&lt;starttls/&gt;&lt;sasl&gt;LOGIN&lt;/sasl&gt;&lt;sasl&gt;PLAIN&lt;/sasl&gt;&lt;sasl&gt;CRAM-MD5&lt;/sasl&gt;&lt;sasl&gt;DIGEST-MD5&lt;/sasl&gt;&lt;sasl&gt;GSSAPI&lt;/sasl&gt;&lt;nonce&gt;2C3E575E5498CE63574D40F18D00C873&lt;/nonce&gt;&lt;language&gt;german&lt;/language&gt;&lt;signup/&gt;&lt;/features&gt;&lt;response id=&quot;s&quot;/&gt;&lt;/XIMSS&gt;</span></span></code></pre></div><p>Если пользователь был успешно аутентифицирован и XIMSS сессия была успешно создана, то в ответе на запрос HTTP Входа содержится сообщение <a href="./../../development/XMLAPI.html#SessionMessage"><code>session</code></a> со строкой-идентификатором сессии. Обратите внимание на то, что сообщение <code>session</code> не содержит атрибута <code>id</code>.</p><p>Пример:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?ackSeq=0 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 105</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;session urlID=&quot;562-kAI2lxNBR4ApmHg4wiW9&quot; userName=&quot;account@domain&quot; realName=&quot;J. Smith&quot; version=&quot;6.1.2&quot; /&gt;&lt;/XIMSS&gt;</span></span></code></pre></div><p>Альтернативный URL может использоваться для начала сессии XIMSS посредством <a href="./../sysadmin/PKI.html#ClientCert">TLS Сертификата Клиента</a> или посредством других методов аутентификации HTTP:</p><p><code>http://_domainName_[:_port_]/auth/ximsslogin/</code><br> или<br><code>https://_domainName_[:_port_]/auth/ximsslogin/</code></p><p>Этот метод полезен если приложение сначала получает HTML страницу или некоторый другой документ, используя <a href="./../../development/WebApp.html#CGPL"><code>/auth/</code> область</a>, заставляя браузер запросить полномочия клиента, а затем приложение создаёт XIMSS сессию для этого же пользователя, так как браузер переотправит эти же полномочия при отправке запроса на URL <code>/auth/ximsslogin/</code>.</p><h3 id="HTTPSync" tabindex="-1">Синхронные Коммуникации по HTTP <a class="header-anchor" href="#HTTPSync" aria-label="Permalink to &quot;Синхронные Коммуникации по HTTP {#HTTPSync}&quot;">​</a></h3><p>Клиент должен направлять в созданную сессию XIMSS запросы, используя следующие URL:</p><p><code>http://_domainName_[:_port_]/Session/_sessionID_/sync</code><br> или<br><code>https://_domainName_[:_port_]/Session/_sessionID_/sync</code>где <em>sessionID</em> является атрибутом urlID сообщения <code>session</code>.</p><p>Тело HTTP запроса должно содержать один элемент <code>&lt;XIMSS /&gt;</code> с ноль, одним или более запросами XIMSS протокола.</p><p>Сервер возвращает один элемент <code>&lt;XIMSS /&gt;</code> в теле HTTP ответа. Этот элемент содержит сообщения <code>response</code> протокола XIMSS (одно для каждого отправленного XIMSS запроса, в том же порядке); все синхронные сообщения данных созданы в ответ на переданные XIMSS запросы.</p><p>Пример:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>C:POST /Session/562-kAI2lxNBR4ApmHg4wiW9/sync HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;noop id=&quot;i1&quot; /&gt;&lt;readTime id=&quot;i2&quot; /&gt;&lt;/XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;response id=&quot;i1&quot;/&gt;&lt;currentTime id=&quot;i2&quot; gmtTime=&quot;20070502T083313&quot; localTime=&quot;20070502T003313&quot;/&gt;&lt;response id=&quot;i2&quot;/&gt;&lt;/XIMSS&gt;</span></span></code></pre></div><p>Если клиент XIMSS работает в ненадёжной среде, где может быть необходимо посылать запросы HTTP повторно, каждый непустой запрос HTTP должен содержать параметр <code>reqSeq</code>. Значение параметра должно увеличиваться на 1 при посылке каждого нового запроса HTTP.<br> Если Сервер получает запрос HTTP с таким же значением параметра <code>reqSeq</code>, как в полученном и обработанном ранее запросе HTTP, то Сервер посылает последний ответ повторно (тот же, что был уже послан в ответ на предыдущий запрос HTTP с тем же <code>reqSeq</code>).<br> Если Сервер получает запрос HTTP со значением параметра <code>reqSeq</code>, которое не равно значению <code>reqSeq</code> предыдущего запроса и не равно увеличенному на 1 значению <code>reqSeq</code> предыдущего запроса, то Сервер возвращает ошибку.</p><p>Клиентское приложение может использовать &quot;пустой запрос&quot; (HTTP запрос без тела) для того, чтобы прочитать асинхронные сообщения данных XIMSS.</p><p>При получении такого пустого запроса, Сервер проверяет наличие ожидающих асинхронных сообщений данных для указанной сессии. Если асинхронные сообщения данных отсутствуют, то запрос удерживается до наступления одного из следующих событий:</p><ul><li>для этой сессии генерируется асинхронное сообщение данных; или</li><li>время ожидания закончилось; или</li><li>получен новый &quot;пустой запрос&quot;; или</li><li>сессия закрывается.</li></ul><p>Пустой запрос может задавать время ожидания в параметре <code>maxWait</code> (число секунд).</p><p>Если сообщения данных не были получены, то Сервер отправляет ответ с пустым элементом <code>&lt;XIMSS/&gt;</code>, без каких-либо атрибутов.</p><p>Если были получены какие-либо сообщения данных, то Сервер отправляет ответ (&quot;асинхронный ответ&quot;), содержащий один элемент <code>&lt;XIMSS/&gt;</code> с атрибутом <code>respSeq</code>. Этот атрибут содержит последовательный номер для этого элемента <code>&lt;XIMSS/&gt;</code> ответа.</p><p>Сервер хранит последний &quot;асинхронный ответ&quot;, сформированный для каждой сессии.</p><p>Каждый пустой запрос должен содержать параметр <code>ackSeq</code>. В нём должно находится значение <code>respSeq</code> из последнего полученного асинхронного ответа.<br> Если клиент не получал ещё никаких асинхронных ответов, то значение этого параметра должно быть <code>0</code>.</p><p>Когда Сервер получает пустой запрос со значением <code>ackSeq</code> равным значению <code>respSeq</code> последнего хранимого сформированного асинхронного ответа, то он считает доставку этого ответа &quot;подтверждённой&quot; и удаляет его.</p><p>Когда Сервер получает пустой запрос со значением <code>ackSeq</code> равным значению <code>respSeq</code> последнего хранимого сформированного асинхронного ответа, уменьшенного на единицу (respSeq-1), и последний сформированный ответ все ещё хранится, то Сервер отправляет этот ответ клиенту повторно. В результате, если клиент сталкивается с ошибкой при передаче во время выполнения HTTP транзакции &quot;пустого запроса&quot;, то он может отправить пустой запрос повторно.</p><p>Пустой запрос без параметра <code>ackSeq</code> подтверждает получение всех хранимых сформированных &quot;асинхронных ответов&quot;.</p><p>Когда сервер возвращает пустой элемент <code>&lt;XIMSS/&gt;</code>, следующий пустой запрос может либо не содержать параметр <code>ackSeq</code> совсем, либо тот же параметр <code>ackSeq</code>, как в последнем пустом запросе. Поскольку последующие пустые запросы могут использовать всё тот же URL запроса с теми же параметрами, платформа клиента может немедленно возвращать закешированный ранее элемент <code>&lt;XIMSS/&gt;</code> без фактической отправки запроса на Сервер.<br> Во избежание этой проблемы в каждый пустой запрос нужно включать параметр <code>reqSeq</code>, значение которого увеличивается после каждой успешной транзакции.</p><p>Пример:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?maxWait=90&amp;ackSeq=0&amp;reqSeq=0 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>...необязательная пауза (до 90 секунд)...</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 10</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS/&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?maxWait=90&amp;ackSeq=0&amp;reqSeq=1 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>...необязательная пауза (до 90 секунд)...</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS respSeq=&quot;1&quot;&gt;&lt;folderReport folder=&quot;INBOX&quot; mode=&quot;notify&quot; /&gt;&lt;/XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>...ответ не дошёл до клиента, клиент отправляяет запрос повторно...</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?maxWait=90&amp;ackSeq=0&amp;reqSeq=1 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS respSeq=&quot;1&quot;&gt;&lt;folderReport folder=&quot;INBOX&quot; mode=&quot;notify&quot; /&gt;&lt;/XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?maxWait=90&amp;ackSeq=1&amp;reqSeq=2 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>...необязательная пауза (до 90 секунд)...</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 10</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS/&gt;</span></span></code></pre></div><h3 id="HTTPAsync" tabindex="-1">Асинхронные Коммуникации по HTTP <a class="header-anchor" href="#HTTPAsync" aria-label="Permalink to &quot;Асинхронные Коммуникации по HTTP {#HTTPAsync}&quot;">​</a></h3><p>Клиент может отправлять запросы в созданную XIMSS сессию таким образом, что все ответы (включая сообщения <code>response</code> и синхронные сообщения данных) будут возвращаться только в ответ на &quot;пустой запрос&quot;.</p><p><code>http://_domainName_[:_port_]/Session/_sessionID_/async</code><br> или<br><code>https://_domainName_[:_port_]/Session/_sessionID_/async</code>где <em>sessionID</em> является атрибутом urlID сообщения <code>session</code>.</p><p>Тело запроса HTTP должно содержать один элемент <code>&lt;XIMSS /&gt;</code> с ноль, одним или более запросами протокола XIMSS.</p><p>Все генерируемые сообщения <code>response</code> (по одному для каждого запроса XIMSS, отправляемые в том же порядке) и все синхронные сообщения данных, созданные в ответ на переданные XIMSS запросы, передаются повторно в XIMSS сессию как асинхронные сообщения. Сервер возвращает пустой ответ HTTP.</p><p>Пример (одно соединение, опрос):</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?maxWait=0&amp;ackSeq=0&amp;reqSeq=0 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 10</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS/&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:POST /Session/562-kAI2lxNBR4ApmHg4wiW9/async HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;noop id=&quot;i1&quot; /&gt;&lt;readTime id=&quot;i2&quot; /&gt;&lt;/XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/plain;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?maxWait=0&amp;ackSeq=0&amp;reqSeq=1 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS respSeq=&quot;1&quot;&gt;&lt;response id=&quot;i1&quot;/&gt;&lt;currentTime id=&quot;i2&quot; gmtTime=&quot;20070502T083313&quot; localTime=&quot;20070502T003313&quot;/&gt;&lt;response id=&quot;i2&quot;/&gt;&lt;/XIMSS&gt;</span></span></code></pre></div><p>Пример (2 соединения, ожидание):</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?ackSeq=0&amp;reqSeq=0 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>...ожидание...</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS respSeq=&quot;1&quot;&gt;</span></span>
<span class="line"><span>    &lt;response id=&quot;i1&quot;/&gt;</span></span>
<span class="line"><span>    &lt;currentTime id=&quot;i2&quot; gmtTime=&quot;20070502T083313&quot;</span></span>
<span class="line"><span>      localTime=&quot;20070502T003313&quot;/&gt;</span></span>
<span class="line"><span>    &lt;response id=&quot;i2&quot;/&gt;</span></span>
<span class="line"><span>  &lt;/XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:GET /Session/562-kAI2lxNBR4ApmHg4wiW9/get?ackSeq=1&amp;reqSeq=1 HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span></span></span>
<span class="line"><span>...ожидание...</span></span>
<span class="line"><span></span></span>
<span class="line"><span>C:POST /Session/562-kAI2lxNBR4ApmHg4wiW9/async HTTP/1.1</span></span>
<span class="line"><span>  Host: myserver.com</span></span>
<span class="line"><span>  Content-Length: _nnn_</span></span>
<span class="line"><span></span></span>
<span class="line"><span>  &lt;XIMSS&gt;&lt;noop id=&quot;i1&quot; /&gt;&lt;readTime id=&quot;i2&quot; /&gt;&lt;/XIMSS&gt;</span></span>
<span class="line"><span></span></span>
<span class="line"><span>S:HTTP/1.1 200 OK</span></span>
<span class="line"><span>  Content-Length: 0</span></span>
<span class="line"><span>  Connection: keep-alive</span></span>
<span class="line"><span>  Content-Type: text/xml;charset=utf-8</span></span>
<span class="line"><span>  Server: CommuniGatePro/5.3</span></span></code></pre></div><h2 id="Monitoring" tabindex="-1">Мониторинг активности XIMSS <a class="header-anchor" href="#Monitoring" aria-label="Permalink to &quot;Мониторинг активности XIMSS {#Monitoring}&quot;">​</a></h2><p>Вы можете наблюдать за активностью Модуля XIMSS через Веб Интерфейс Администратора.</p><p>Чтобы открыть страницы наблюдения за Доступом, нажмите на ссылку Доступ в разделе Наблюдения:</p>`,80),n("form",{action:"Null.html"},[n("div",{class:"settingsBox"},[n("table",{width:"100%"},[n("tbody",null,[n("tr",null,[n("td",null,[n("input",{name:"Apply",value:"Показывать",class:"button",type:"reset"}),l(),n("input",{name:"Filter",value:"",size:"10",maxlength:"100",type:"text"})]),n("td"),n("td",{align:"right"},"Показано 3 из 3")])])])]),n("br"),n("div",{class:"settingsBox"},[n("table",{width:"100%"},[n("tbody",null,[n("tr",{align:"left"},[n("th",{nowrap:"nowrap"},"ID"),n("th",null,"Сетевой Адрес"),n("th",null,"Пользователь"),n("th",null,"Подсоединён"),n("th",null,"Состояние"),n("th",{colspan:"2"},"Обрабатывает")]),n("tr",null,[n("td",null,"9786"),n("td",null,"[216.200.213.116]"),n("td",{nowrap:"nowrap"},"user1@domain2.dom"),n("td",null,"3 мин"),n("td",null,"listing messages"),n("td",null,"2sec")]),n("tr",null,[n("td",null,"9794"),n("td",null,"[216.200.213.115]"),n("td",{nowrap:"nowrap"},"user2@domain1.dom"),n("td",null,"34sec"),n("td",null,"reading request"),n("td",null," ")]),n("tr",null,[n("td",null,"9803"),n("td",null,"[216.200.213.115]"),n("td",{nowrap:"nowrap"}),n("td",null,"2sec"),n("td",null,"authenticating"),n("td",null," ")])])])])],-1),a('<ul><li><p><code>ID</code></p><p>Это поле содержит числовой идентификационный номер сессии XIMSS. В Журнале CommuniGate Pro, эта сессия отмечается как <code>XIMSS-_nnnnn_</code>, где <em>nnnnn</em> это идентификационный номер сессии.</p></li><li><p><code>Сетевой Адрес</code></p><p>Это поле содержит адрес IP присоединившегося клиента.</p></li><li><p><code>Пользователь</code></p><p>Это поле содержит имя Пользователя (после успешной аутентификации).</p></li><li><p><code>Подсоединён</code></p><p>Это поле содержит время соединения (время, в течение которого открыта эта сессия TCP/IP).</p></li><li><p><code>Состояние</code></p><p>Это поле содержит или имя текущей операции, или, если никакой операции не производится, текущее состояние сессии (Authenticating, Selected и т.д.).</p></li><li><p><code>Обрабатывает</code></p><p>Если есть какая-нибудь активная операция XIMSS, то это поле содержит время, прошедшее с момента начала операции.</p></li></ul><p>Активность модуля XIMSS можно наблюдать с помощью <a href="./../sysadmin/Statistics.html">Элементов Статистики</a> CommuniGate Pro.</p>',2)]))}const g=e(o,[["render",i]]);export{T as __pageData,g as default};
