import{_ as i,c as p,o as l,ag as n,j as s,a as e}from"./chunks/framework.jCcxW76o.js";const E=JSON.parse('{"title":"Балансировщики Нагрузки Кластера","description":"","frontmatter":{"legacyLink":"russian/ClusterBalancer.html"},"headers":[],"relativePath":"russian/admin/cluster/Balancer.md","filePath":"russian/admin/cluster/Balancer.md"}'),t={name:"russian/admin/cluster/Balancer.md"};function h(k,a,o,c,d,r){return l(),p("div",null,a[0]||(a[0]=[n(`<h1 id="балансировщики-нагрузки-кластера" tabindex="-1">Балансировщики Нагрузки Кластера <a class="header-anchor" href="#балансировщики-нагрузки-кластера" aria-label="Permalink to &quot;Балансировщики Нагрузки Кластера&quot;">​</a></h1><p>Кластерная архитектура CommuniGate Pro позволяет балансировщику нагрузки направить любое соединение на любой работающий Сервер, снимая необходимость в сложных и ненадёжных балансировщиках нагрузки, работающих на более &quot;высоком уровне&quot; прикладных протоколов. Для управления трафиком могут использоваться недорогие Коммутаторы, работающие на Уровне OSI 4.</p><p>Дополнительно, Динамический Кластер CommuniGate Pro способен управлять программными балансировщиками нагрузки, такими как модуль &quot;ipvs&quot; ядра ОС Linux: Кластер CommuniGate Pro собирает информацию о работающих Серверах, принадлежащих одной или более &quot;группам балансировки&quot;, выясняет, какие из серверов могут использоваться в качестве балансировщиков, назначает балансировщиком один из серверов группы, информируя его об остальных членах этой группы, и назначает балансировщиком другой сервер, если текущий был остановлен.</p><h2 id="DSR" tabindex="-1">DSR (Прямой Ответ Сервера) or DR (Прямая Маршрутизация) <a class="header-anchor" href="#DSR" aria-label="Permalink to &quot;DSR (Прямой Ответ Сервера) or DR (Прямая Маршрутизация) {#DSR}&quot;">​</a></h2><p>DSR (Direct Server Response, Прямой Ответ Сервера) является наиболее предпочтительным методом Балансировки Нагрузки при крупных установках. При использовании этого метода каждый Сервер настроен для использования VIP (Виртуального адреса IP) в качестве локального. Это позволяет каждому серверу принимать пакеты, адресованные на адреса VIP, и отвечать клиентам, используя VIP в качестве адреса отправителя.<br> Серверы не должны отвечать на запросы arp на эти адреса VIP. Вместо них на эти запросы отвечает балансировщик, и, таким образом, все входящие пакеты присылаются на балансировщик, который перенаправляет их на Серверы. Перепосылаемые пакеты адресуются прямо на MAC адрес Сервера, без изменения адреса назначения, которым остаётся VIP.</p><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>Из-за того, что для перенаправления входящих пакетов используются MAC адреса, Балансировщик Нагрузки и все балансируемые серверы (обычно - Фронтенд-Серверы Кластера CommuniGate Pro) должны входить в один сегмент сети; между Балансировщиком Нагрузки и этими серверами не должно быть никакого Маршрутизатора.</p></div><p>Для использования DSR метода создайте &quot;псевдоним&quot; для сетевого интерфейса &quot;внутренней петли&quot; (loopback network interface) каждого Фронтенд-Сервера. Стандартным адресом для внутренней петли является 127.0.0.1; создайте для неё псевдоним с VIP адресом и маской сети 255.255.255.255:</p><ul><li><p><strong>Solaris</strong></p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>ifconfig lo0:1 plumb</span></span>
<span class="line"><span>ifconfig lo0:1 _VIP_ netmask 255.255.255.255 up</span></span></code></pre></div><p>Для того, чтобы сделать эту конфигурацию постоянной, создайте файл <code>/etc/hostname.lo0:1</code> с VIP-адресом в нём.</p></li><li><p><strong>FreeBSD</strong></p><p>Для того, чтобы сделать эти изменения в конфигурации постоянными, добавьте следующую строку в файл <code>/etc/rc.conf</code>:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>ifconfig_*_lo0_alias0=&quot;inet _VIP_ netmask 255.255.255.255&quot;</span></span></code></pre></div></li><li><p><strong>Linux</strong></p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>ifconfig lo:0 _VIP_ netmask 255.255.255.255 up</span></span></code></pre></div><p>или</p><div class="language-sh vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">sh</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">ip</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> address</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> add</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> _VIP_/32</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> dev</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> lo</span></span></code></pre></div><p>Для того, чтобы сделать эту конфигурацию постоянной, создайте файл <code>/etc/sysconfig/network-scripts/ifcfg-lo:0</code>:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>DEVICE=lo</span></span>
<span class="line"><span>IPADDR=VIP</span></span>
<span class="line"><span>NETMASK=255.255.255.255</span></span>
<span class="line"><span>ONBOOT=yes</span></span></code></pre></div><p>Убедитесь, что ядро настроено так, что оно не рассылает пакеты ARP для этого <code>lo</code> интерфейса (так что <code>VIP</code> адреса не связаны ни с каким Фронтенд-Сервером в таблицах ARP). В зависимости от версии ядра Linux, в файл <code>/etc/sysctl.conf</code> должны быть добавлены следующие команды:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span># ARP: reply only if the target IP address is</span></span>
<span class="line"><span># a local address configured on the incoming interface</span></span>
<span class="line"><span>net.ipv4.conf.all.arp_ignore = 1</span></span>
<span class="line"><span>#</span></span>
<span class="line"><span># When an arp request is received on eth0, only respond</span></span>
<span class="line"><span># if that address is configured on eth0.</span></span>
<span class="line"><span>net.ipv4.conf.eth0.arp_ignore = 1</span></span>
<span class="line"><span>#</span></span>
<span class="line"><span># Enable configuration of arp_announce option</span></span>
<span class="line"><span>net.ipv4.conf.all.arp_announce = 2</span></span>
<span class="line"><span># When making an ARP request sent through eth0, always use an address</span></span>
<span class="line"><span># that is configured on eth0 as the source address of the ARP request.</span></span>
<span class="line"><span>net.ipv4.conf.eth0.arp_announce = 2</span></span>
<span class="line"><span>#</span></span>
<span class="line"><span># Repeat for eth1, eth2 (if exist)</span></span>
<span class="line"><span>#net.ipv4.conf.eth1.arp_ignore = 1</span></span>
<span class="line"><span>#net.ipv4.conf.eth1.arp_announce = 2</span></span>
<span class="line"><span>#net.ipv4.conf.eth2.arp_ignore = 1</span></span>
<span class="line"><span>#net.ipv4.conf.eth2.arp_announce = 2</span></span></code></pre></div><p>Если вы планируете использовать несколько балансируемых адресов VIP, либо если вы планируете использовать программный балансировщик IPVS под управлением CommuniGate Pro, не надо создавать файлы <code>/etc/sysconfig/network-scripts/ifcfg-lo:_n_</code>. Создайте файл <code>/etc/sysconfig/vipaddrs</code> и запишите все адреса VIP в него - как адреса или подсети, по одному адресу на строку. Например:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span># single addresses</span></span>
<span class="line"><span>72.20.112.45</span></span>
<span class="line"><span>72.20.112.46</span></span>
<span class="line"><span># a subnetwork</span></span>
<span class="line"><span>72.20.112.48/29</span></span></code></pre></div><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>Строки, начинающиеся с символа # игнорируются. Их можно использовать в качестве комментариев.</p></div><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>Маски подсетей должны быть 24 бита или более.</p></div><p>Создайте следующие конфигурационные сценарии:</p><p><code>/etc/sysconfig/network-scripts/ifvip-utils</code></p><div class="language-bash vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">bash</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#!/bin/bash</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># /etc/sysconfig/network-scripts/ifvip-utils</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">VIPADDRFILE</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;/etc/sysconfig/vipaddrs&quot;</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">VIPLIST</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;&quot;</span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">           # list of VIP masks: xxx.yy.zz.tt/mm where mm should be &gt;= 24</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">for</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> xVIP </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">in</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> \`</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">cat</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> $VIPADDRFILE</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;"> |</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;"> grep</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> -v</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &#39;^#&#39;\`</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">do</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  if</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> [[ $xVIP </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">!=</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;"> *</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">/</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> ]]; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">then</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> xVIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$xVIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">/32</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">fi</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  if</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> (( \${xVIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">##*/</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">} </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&lt;</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> 24</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">)); </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">then</span></span>
<span class="line"><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;">    echo</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &quot;Incorrect mask: </span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$xVIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;"> &gt;</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">2</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> ; </span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;">exit</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> 1</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">;</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  fi</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  VIPLIST</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$VIPLIST$xVIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &quot;</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">done</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">CURRENT</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">\`</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">ip</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> address show dev lo </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">|</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;"> egrep</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &#39;^ +inet [0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+\\/32 .*$&#39; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">|</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;"> sed</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> -r</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &#39;s/ +inet ([0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+).*/\\1/&#39; \`</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">function</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;"> contains</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">() {</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  local</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> x;</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  for</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> x </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">in</span><span style="--shiki-light:#E36209;--shiki-dark:#FFAB70;"> $1</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">do</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">    if</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> [[ $x </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">==</span><span style="--shiki-light:#E36209;--shiki-dark:#FFAB70;"> $2</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> ]]; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">then</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;"> return</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> 0</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">fi</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  done</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  return</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> 1</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}</span></span></code></pre></div><p><code>/etc/sysconfig/network-scripts/ifup-lo</code></p><div class="language-bash vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">bash</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#!/bin/bash</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># /etc/sysconfig/network-scripts/ifup-lo</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">/etc/sysconfig/network-scripts/ifup-eth</span><span style="--shiki-light:#E36209;--shiki-dark:#FFAB70;"> \${1}</span><span style="--shiki-light:#E36209;--shiki-dark:#FFAB70;"> \${2}</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># Bring up all addresses listed in the VIPADDRFILE file, as lo aliases</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;">.</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> /etc/sysconfig/network-scripts/ifvip-utils</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">for</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> xVIP </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">in</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> $VIPLIST; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">do</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">\${xVIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">%/*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}       </span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># xx.xx.xx.yy/mm -&gt; xx.xx.xx.yy</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xIP0</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">\${xIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">%</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">.</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}       </span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># xx.xx.xx.yy/mm -&gt; xx.xx.xx</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xIP1</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">\${xIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">##*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">.}      </span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># xx.xx.xx.yy/mm -&gt; yy</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xMask</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$(( </span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">2</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> **</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> (32 </span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">-</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> \${xVIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">##*/</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}) ))</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  for</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> (( index</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;">0</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">; index</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&lt;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$xMask; index</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">++</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> )); </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">do</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">    thisIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$xIP0</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">.</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$((</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">xIP1</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> +</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> index</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">))</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">    if</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;"> !</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;"> $(contains</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$CURRENT</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$thisIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">); </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">then</span></span>
<span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">      ip</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> address</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> add</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> $thisIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">/32</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> dev</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> lo</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">    fi</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  done</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">done</span></span></code></pre></div><p><code>/etc/sysconfig/network-scripts/ifdown-lo</code></p><div class="language-bash vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">bash</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#!/bin/bash</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># /etc/sysconfig/network-scripts/ifdown-lo</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># Bring down all addresses listed in the VIPADDRFILE file</span></span>
<span class="line"><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;">#</span></span>
<span class="line"><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;">.</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> /etc/sysconfig/network-scripts/ifvip-utils</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">for</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> xVIP </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">in</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> $VIPLIST; </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">do</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">\${xVIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">%/*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}       </span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># xx.xx.xx.yy/mm -&gt; xx.xx.xx.yy</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xIP0</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">\${xIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">%</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">.</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}       </span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># xx.xx.xx.yy/mm -&gt; xx.xx.xx</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xIP1</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">\${xIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">##*</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">.}      </span><span style="--shiki-light:#6A737D;--shiki-dark:#6A737D;"># xx.xx.xx.yy/mm -&gt; yy</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">  xMask</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$(( </span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">2</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> **</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> (32 </span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">-</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> \${xVIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">##*/</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">}) ))</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  for</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> (( index</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;">0</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">; index</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&lt;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$xMask; index</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">++</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> )); </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">do</span></span>
<span class="line"><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">    thisIP</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">=</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$xIP0</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">.</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$((</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">xIP1</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> +</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> index</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">))</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">    if</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> $(</span><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">contains</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$CURRENT</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> &quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">$thisIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;">); </span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">then</span></span>
<span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">      ip</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> address</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> delete</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> $thisIP</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">/32</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> dev</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> lo</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">    fi</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">    done</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">  done</span></span>
<span class="line"></span>
<span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">/etc/sysconfig/network-scripts/ifdown-eth</span><span style="--shiki-light:#E36209;--shiki-dark:#FFAB70;"> \${1}</span><span style="--shiki-light:#E36209;--shiki-dark:#FFAB70;"> \${2}</span></span></code></pre></div></li><li><p><strong><em>другие ОС</em></strong></p><p>уточните у производителя ОС</p></li></ul><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>При создании сетевого &quot;псевдонима&quot;, откройте через Веб Интерфейс Администратора в разделе Установки страницу Общее -&gt; Информация и нажмите на кнопку Обновить, чтобы сервер мог обнаружить добавленный IP адрес.</p></div><p>DSR метод прозрачен для всех протоколов, работающих через TCP (включая SIP через TCP/TLS) и для него не требуются никакие дополнительные настройки Сервера CommuniGate Pro: когда на локальный VIP адрес принимается TCP соединение, исходящие пакеты для такого соединения будут всегда иметь в качестве адреса источника тот же самый VIP адрес.</p><p>Для того, чтобы использовать DSR метод для SIP UDP, конфигурация Фроненд-Серверов CommuniGate Pro должна быть изменена:</p><ul><li>через Веб Интерфейс Администратора откройте область Установки. В разделе Real-Time откройте страницу SIP, затем откройте страницу Приём</li><li>нажмите на ссылку UDP Приёмник, для того чтобы открыть страницу <a href="./../network/Listener.html">Приёмника</a></li><li>по умолчанию Приёмник SIP UDP имеет один сокет: он принимает &quot;все адреса&quot; на порту 5060.</li><li>измените настройку, изменив значение &quot;все адреса&quot; на значение <em>VIP</em> (<em>VIP</em> адрес должен быть доступен для выбора из меню).</li><li>нажмите на кнопку Модифицировать</li><li>создайте дополнительный сокет для получения входящих пакетов на порт 5060, &quot;все адреса&quot; и нажмите на кнопку Модифицировать</li></ul><p>Теперь у вас есть два сокета - первый для <em>VIP</em>:5060, а второй для <em>все адреса</em>:5060; при необходимости Фронтенд-Сервер может использовать первый сокет для отправки пакетов с VIP адресом в качестве адреса источника.<br> Повторите эти изменения в настройке для всех Фронтенд-Серверов.</p><h2 id="Pinging" tabindex="-1">Проверочные Вызовы <a class="header-anchor" href="#Pinging" aria-label="Permalink to &quot;Проверочные Вызовы {#Pinging}&quot;">​</a></h2><p>Балансировщик нагрузки обычно отправляет некоторые запросы на сервера в своих &quot;балансировочных пулах&quot;. При неполучении ответа Балансировщик Нагрузки удаляет сервер из пула и распределяет входящие запросы на оставшиеся в пуле сервера.</p><p>Если SIP-Ферма включена, собственные запросы Балансировщика Нагрузки могут передаваться на другие сервера, входящие в SIP-Ферму, и, таким образом, ответы будут поступать от других серверов. Это может привести к тому, что Балансировщик Нагрузки решит, что сервер, которому был послан запрос, не функционирует и исключит этот сервер из обслуживаемого набора серверов.<br> Для решения этой проблемы используйте следующие запросы SIP для проверки доступности реального сервера Балансировщиком Нагрузки:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>OPTION sip:aaa.bbb.ccc.ddd:5060 SIP/2.0</span></span>
<span class="line"><span>Route: &lt;sip:aaa.bbb.ccc.ddd:5060;lr&gt;</span></span>
<span class="line"><span>_другие поля пакетов SIP_</span></span></code></pre></div><p>где <code>aaa.bbb.ccc.ddd</code> - IP адрес тестируемого Сервера CommuniGate Pro.</p><p>Эти пакеты обрабатываются Сервером <code>aaa.bbb.ccc.ddd</code>, который генерирует ответы и отправляет их обратно Балансировщику Нагрузки (или тестирующему устройству).</p><h2 id="Samples" tabindex="-1">Примеры Конфигураций <a class="header-anchor" href="#Samples" aria-label="Permalink to &quot;Примеры Конфигураций {#Samples}&quot;">​</a></h2><p>Пример конфигурации:</p><ul><li>Маршрутизатор имеет адрес <code>64.173.55.161</code> (маска сети <code>255.255.255.224</code>), DNS Сервер <code>64.173.55.167</code>.</li><li>4 Фронтенд-Сервера (<code>fe5</code>, <code>fe6</code>, <code>fe7</code>, <code>fe8</code>) с &quot;реальными&quot; IP адресами <code>64.173.55.{180,181,182,183}</code></li><li>внутри-кластерная сеть <code>192.168.10.xxx</code>, с &quot;кластерными&quot; адресами Фронтенд-Серверов <code>192.168.10.{5,6,7,8}</code></li><li>балансировщик нагрузки с адресом <code>64.173.55.164</code> (VIP адрес).</li><li>на каждом Фронтенд-Сервере на интерфейсе сетевой петли сконфигурирован псевдоним для адреса <code>64.173.55.164</code>.</li></ul><p>Для RTP используется метод с несколькими адресами IP без NAT.</p><p>Конфигурация CommuniGate Pro (раздел Установки в Веб Интерфейсе Администратора):</p><ul><li>страница Сеть-&gt;LAN-&gt;Общие для Кластера: IPv4 WAN Адрес: <code>64.173.55.164</code></li><li>страница Сеть-&gt;LAN-&gt;Общие для Сервера (на каждом из Фронтенд-Серверов): IPv4 WAN Адрес: <code>64.173.55.{180,181,182,183}</code></li><li>страница Real-Time-&gt;SIP-&gt;Приём-&gt;UDP Приёмник (на каждом из Фронтенд-Серверов): {порт <code>5060</code>, адрес:<code>64.173.55.164</code>} и {порт: <code>5060</code>, адрес: <code>все адреса</code>;}</li></ul><p>Конфигурация &quot;без NAT&quot;, с &quot;нормальной&quot; балансировкой нагрузки для POP, IMAP и &quot;DSR&quot; балансировкой нагрузки для SIP (UDP/TCP), SMTP, HTTPU (8100).</p><p>Конфигурация Балансировщика Нагрузки:</p><ul><li><p><strong>Foundry ServerIron®</strong> (его служебный адрес - <code>64.173.55.176</code>)</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>Startup configuration:</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>server predictor round-robin</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>server real fe5 64.173.55.180</span></span>
<span class="line"><span> port pop3</span></span>
<span class="line"><span> port pop3 keepalive</span></span>
<span class="line"><span> port imap4</span></span>
<span class="line"><span> port imap4 keepalive</span></span>
<span class="line"><span> port 5060</span></span>
<span class="line"><span> port 5060 keepalive</span></span>
<span class="line"><span> port smtp</span></span>
<span class="line"><span> port smtp keepalive</span></span>
<span class="line"><span> port 8100</span></span>
<span class="line"><span> port 8100 keepalive</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>server real fe6 64.173.55.181</span></span>
<span class="line"><span> port pop3</span></span>
<span class="line"><span> port pop3 keepalive</span></span>
<span class="line"><span> port imap4</span></span>
<span class="line"><span> port imap4 keepalive</span></span>
<span class="line"><span> port 5060</span></span>
<span class="line"><span> port 5060 keepalive</span></span>
<span class="line"><span> port smtp</span></span>
<span class="line"><span> port smtp keepalive</span></span>
<span class="line"><span> port 8100</span></span>
<span class="line"><span> port 8100 keepalive</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>server real fe7 64.173.55.182</span></span>
<span class="line"><span> port pop3</span></span>
<span class="line"><span> port pop3 keepalive</span></span>
<span class="line"><span> port imap4</span></span>
<span class="line"><span> port imap4 keepalive</span></span>
<span class="line"><span> port 5060</span></span>
<span class="line"><span> port 5060 keepalive</span></span>
<span class="line"><span> port smtp</span></span>
<span class="line"><span> port smtp keepalive</span></span>
<span class="line"><span> port 8100</span></span>
<span class="line"><span> port 8100 keepalive</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>server real fe8 64.173.55.183</span></span>
<span class="line"><span> port pop3</span></span>
<span class="line"><span> port pop3 keepalive</span></span>
<span class="line"><span> port imap4</span></span>
<span class="line"><span> port imap4 keepalive</span></span>
<span class="line"><span> port 5060</span></span>
<span class="line"><span> port 5060 keepalive</span></span>
<span class="line"><span> port smtp</span></span>
<span class="line"><span> port smtp keepalive</span></span>
<span class="line"><span> port 8100</span></span>
<span class="line"><span> port 8100 keepalive</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>server virtual vip1 64.173.55.164</span></span>
<span class="line"><span> predictor round-robin</span></span>
<span class="line"><span> port pop3</span></span>
<span class="line"><span> port imap4</span></span>
<span class="line"><span> port 5060</span></span>
<span class="line"><span> port 5060 dsr</span></span>
<span class="line"><span> port smtp</span></span>
<span class="line"><span> port smtp dsr</span></span>
<span class="line"><span> port 8100</span></span>
<span class="line"><span> port 8100  dsr</span></span>
<span class="line"><span> bind pop3  fe5 pop3  fe6 pop3  fe7 pop3  fe8 pop3</span></span>
<span class="line"><span> bind imap4 fe5 imap4 fe6 imap4 fe7 imap4 fe8 imap4</span></span>
<span class="line"><span> bind 5060  fe8 5060  fe7 5060  fe6 5060  fe5 5060</span></span>
<span class="line"><span> bind smtp  fe8 smtp  fe7 smtp  fe6 smtp  fe5 smtp</span></span>
<span class="line"><span> bind 8100  fe5 8100  fe6 8100  fe7 8100  fe8 8100</span></span>
<span class="line"><span>!</span></span>
<span class="line"><span>ip address 64.173.55.176 255.255.255.224</span></span>
<span class="line"><span>ip default-gateway 64.173.55.161</span></span>
<span class="line"><span>ip dns server-address 64.173.55.167</span></span>
<span class="line"><span>ip mu act</span></span>
<span class="line"><span>end</span></span></code></pre></div><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>Вы НЕ должны использовать <code>port 5060 sip-switch</code>, <code>port sip sip-proxy-server</code> или другие &quot;умные&quot; (уровня приложений) возможности Балансировщика Нагрузки.</p></div></li><li><p><strong>Alteon/Nortel AD3®</strong> (служебный адрес - <code>64.173.55.176</code>, аппаратный порт 1 используется соединения с Интернет, к портам 5-8 присоединены Фронтенд-Серверы)</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>script start &quot;Alteon AD3&quot; 4  /**** DO NOT EDIT THIS LINE!</span></span>
<span class="line"><span>/* Configuration dump taken 21:06:57 Mon Apr  9, 2007</span></span>
<span class="line"><span>/* Version 10.0.33.4,  Base MAC address 00:60:cf:41:f5:20</span></span>
<span class="line"><span>/c/sys</span></span>
<span class="line"><span>        tnet ena</span></span>
<span class="line"><span>        smtp &quot;mail.communigatepro.ru&quot;</span></span>
<span class="line"><span>        mnet 64.173.55.160</span></span>
<span class="line"><span>        mmask 255.255.255.224</span></span>
<span class="line"><span>/c/sys/user</span></span>
<span class="line"><span>        admpw &quot;ffe90d3859680828b6a4e6f39ad8abdace262413d5fe6d181d2d199b1aac22a6&quot;</span></span>
<span class="line"><span>/c/ip/if 1</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        addr 64.173.55.176</span></span>
<span class="line"><span>        mask 255.255.255.224</span></span>
<span class="line"><span>        broad 64.173.55.191</span></span>
<span class="line"><span>/c/ip/gw 1</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        addr 64.173.55.161</span></span>
<span class="line"><span>/c/ip/dns</span></span>
<span class="line"><span>        prima 64.173.55.167</span></span>
<span class="line"><span>/c/sys/ntp</span></span>
<span class="line"><span>        on</span></span>
<span class="line"><span>        dlight ena</span></span>
<span class="line"><span>        server 64.173.55.167</span></span>
<span class="line"><span>/c/slb</span></span>
<span class="line"><span>        on</span></span>
<span class="line"><span>/c/slb/real 5</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        rip 64.173.55.180</span></span>
<span class="line"><span>        addport 110</span></span>
<span class="line"><span>        addport 143</span></span>
<span class="line"><span>        addport 5060</span></span>
<span class="line"><span>        addport 25</span></span>
<span class="line"><span>        addport 8100</span></span>
<span class="line"><span>        submac ena</span></span>
<span class="line"><span>/c/slb/real 6</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        rip 64.173.55.181</span></span>
<span class="line"><span>        addport 110</span></span>
<span class="line"><span>        addport 143</span></span>
<span class="line"><span>        addport 5060</span></span>
<span class="line"><span>        addport 25</span></span>
<span class="line"><span>        addport 8100</span></span>
<span class="line"><span>        submac ena</span></span>
<span class="line"><span>/c/slb/real 7</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        rip 64.173.55.182</span></span>
<span class="line"><span>        addport 110</span></span>
<span class="line"><span>        addport 143</span></span>
<span class="line"><span>        addport 5060</span></span>
<span class="line"><span>        addport 25</span></span>
<span class="line"><span>        addport 8100</span></span>
<span class="line"><span>        submac ena</span></span>
<span class="line"><span>/c/slb/real 8</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        rip 64.173.55.183</span></span>
<span class="line"><span>        addport 110</span></span>
<span class="line"><span>        addport 143</span></span>
<span class="line"><span>        addport 5060</span></span>
<span class="line"><span>        addport 25</span></span>
<span class="line"><span>        addport 8100</span></span>
<span class="line"><span>        submac ena</span></span>
<span class="line"><span>/c/slb/group 1</span></span>
<span class="line"><span>        add 5</span></span>
<span class="line"><span>        add 6</span></span>
<span class="line"><span>        add 7</span></span>
<span class="line"><span>        add 8</span></span>
<span class="line"><span>        name &quot;all-services&quot;</span></span>
<span class="line"><span>/c/slb/port 1</span></span>
<span class="line"><span>        client ena</span></span>
<span class="line"><span>/c/slb/port 5</span></span>
<span class="line"><span>        server ena</span></span>
<span class="line"><span>/c/slb/port 6</span></span>
<span class="line"><span>        server ena</span></span>
<span class="line"><span>/c/slb/port 7</span></span>
<span class="line"><span>        server ena</span></span>
<span class="line"><span>/c/slb/port 8</span></span>
<span class="line"><span>        server ena</span></span>
<span class="line"><span>/c/slb/virt 1</span></span>
<span class="line"><span>        ena</span></span>
<span class="line"><span>        vip 64.173.55.164</span></span>
<span class="line"><span>/c/slb/virt 1/service pop3</span></span>
<span class="line"><span>        group 1</span></span>
<span class="line"><span>/c/slb/virt 1/service imap4</span></span>
<span class="line"><span>        group 1</span></span>
<span class="line"><span>/c/slb/virt 1/service 5060</span></span>
<span class="line"><span>        group 1</span></span>
<span class="line"><span>        udp enabled</span></span>
<span class="line"><span>        udp stateless</span></span>
<span class="line"><span>        nonat ena</span></span>
<span class="line"><span>/c/slb/virt 1/service smtp</span></span>
<span class="line"><span>        group 1</span></span>
<span class="line"><span>        nonat ena</span></span>
<span class="line"><span>/c/slb/virt 1/service 8100</span></span>
<span class="line"><span>        group 1</span></span>
<span class="line"><span>        nonat ena</span></span>
<span class="line"><span>/</span></span>
<span class="line"><span>script end  /**** DO NOT EDIT THIS LINE!</span></span></code></pre></div></li><li><p><strong>F5 Big-IP®</strong> (его служебный адрес - <code>64.173.55.176</code>)</p><p>Используйте возможность <em>nPath Routing</em> для SIP UPD/TCP трафика. Это название, принятое в F5 Networks, Inc. для метода Прямого Ответа Сервера.<br> Из-за того, что F5 BigIP не является коммутатором, вы должны использовать метод DSR (nPath Routing) для всех сервисов.</p><p><code>bigip_base.conf:</code></p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>vlan external {</span></span>
<span class="line"><span>  tag 4093</span></span>
<span class="line"><span>  interfaces</span></span>
<span class="line"><span>      1.1</span></span>
<span class="line"><span>      1.2</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>stp instance 0 {</span></span>
<span class="line"><span>  vlans external</span></span>
<span class="line"><span>  interfaces</span></span>
<span class="line"><span>      1.1</span></span>
<span class="line"><span>        external path cost 20K</span></span>
<span class="line"><span>        internal path cost 20K</span></span>
<span class="line"><span>      1.2</span></span>
<span class="line"><span>        external path cost 20K</span></span>
<span class="line"><span>        internal path cost 20K</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>self allow {</span></span>
<span class="line"><span>  default</span></span>
<span class="line"><span>      udp snmp</span></span>
<span class="line"><span>      proto ospf</span></span>
<span class="line"><span>      tcp https</span></span>
<span class="line"><span>      udp domain</span></span>
<span class="line"><span>      tcp domain</span></span>
<span class="line"><span>      tcp ssh</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>self 64.173.55.176 {</span></span>
<span class="line"><span>  netmask 255.255.255.224</span></span>
<span class="line"><span>  vlan external</span></span>
<span class="line"><span>  allow all</span></span>
<span class="line"><span>}</span></span></code></pre></div><p><code>bigip.conf:</code></p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>partition Common {</span></span>
<span class="line"><span>   description &quot;Repository for system objects and shared objects.&quot;</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>route default inet {</span></span>
<span class="line"><span>   gateway 64.173.55.161</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>monitor MySMTP {</span></span>
<span class="line"><span>   defaults from smtp</span></span>
<span class="line"><span>   dest *:smtp</span></span>
<span class="line"><span>   debug &quot;no&quot;</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>profile fastL4 CGS_fastL4 {</span></span>
<span class="line"><span>   defaults from fastL4</span></span>
<span class="line"><span>   idle timeout 60</span></span>
<span class="line"><span>   tcp handshake timeout 15</span></span>
<span class="line"><span>   tcp close timeout 60</span></span>
<span class="line"><span>   loose initiation disable</span></span>
<span class="line"><span>   loose close enable</span></span>
<span class="line"><span>   software syncookie disable</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>pool Frontends {</span></span>
<span class="line"><span>   monitor all MySMTP and gateway_icmp</span></span>
<span class="line"><span>   members</span></span>
<span class="line"><span>      64.173.55.180:any</span></span>
<span class="line"><span>      64.173.55.181:any</span></span>
<span class="line"><span>      64.173.55.182:any</span></span>
<span class="line"><span>      64.173.55.183:any</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>node * monitor MySMTP</span></span></code></pre></div><p><code>bigip_local.conf:</code></p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>virtual address 64.173.55.164 {</span></span>
<span class="line"><span>   floating disable</span></span>
<span class="line"><span>   unit 0</span></span>
<span class="line"><span>}</span></span>
<span class="line"><span>virtual External {</span></span>
<span class="line"><span>   translate address disable</span></span>
<span class="line"><span>   pool Frontends</span></span>
<span class="line"><span>   destination 64.173.55.164:any</span></span>
<span class="line"><span>   profiles CGS_fastL4</span></span>
<span class="line"><span>}</span></span></code></pre></div></li></ul><h2 id="TCPOutgoing" tabindex="-1">Исходящие соединения TCP <a class="header-anchor" href="#TCPOutgoing" aria-label="Permalink to &quot;Исходящие соединения TCP {#TCPOutgoing}&quot;">​</a></h2><p>Когда адрес VIP присвоен домену CommuniGate Pro, модули CommuniGate Pro можно настроить так, чтобы исходящие соединения TCP использовали эти адреса VIP в качестве сетевого адреса источника. Если так сделать, то пакеты с ответами будут приходить на балансировщик нагрузки, и его надо настроить для переадресации этих пакетов с ответами на правильный член Кластера - на Сервер CommuniGate Pro, который установил это соединение TCP.</p><p>Для каждого члена кластера, который способен создавать исходящие соединения TCP (обычно это - Фронтенд-Серверы), надо выбрать диапазон портов для использования в исходящих соединениях. Эти диапазоны не должны пересекаться. Например, для первого Члена кластера выберите диапазон 33000-33999, для второго - 34000-34999, и так далее.</p><p>Убедитесь, что ОС сервера настроена так, что выбранные диапазоны портов исключены из диапазона динамических портов. Например, следующие команды могут быть использованы в ОС Linux Для получения диапазона динамических портов:</p><div class="language-sh vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">sh</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&gt;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> cat /proc/sys/net/ipv4/ip_local_port_range</span></span>
<span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">32768</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> 61000</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&gt;</span></span></code></pre></div><p>например, следующие команды могут быть использованы в ОС Linux Для изменения диапазона динамических портов:</p><div class="language-sh vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">sh</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&gt;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> echo </span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;">&quot;50000 61000&quot;</span><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;"> &gt;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> /proc/sys/net/ipv4/ip_local_port_range</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&gt;</span><span style="--shiki-light:#24292E;--shiki-dark:#E1E4E8;"> cat /proc/sys/net/ipv4/ip_local_port_range</span></span>
<span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">50000</span><span style="--shiki-light:#005CC5;--shiki-dark:#79B8FF;"> 61000</span></span>
<span class="line"><span style="--shiki-light:#D73A49;--shiki-dark:#F97583;">&gt;</span></span></code></pre></div><p>Для того, чтобы сделать эти изменения в конфигурации постоянными, добавьте следующую строку в файл <code>/etc/sysctl.conf</code>:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>net.ipv4.ip_local_port_range = 50000 61000</span></span></code></pre></div><p>На каждом Члене Кластера откройте настройки Сети в разделе Установок Интерфейса Администратора и укажите выбранный диапазон портов TCP. Отключите настройку &quot;Использовать только для Медиа Прокси&quot;, чтобы Сервер CommuniGate Pro использовал порты из этого диапазона для создания исходящих соединений TCP с определённым адресом источника.</p><p>Настройте Балансировщик Нагрузки: все пакеты, адресованные на адрес VIP на порт с номером из выбранного диапазона, должны быть отправлены на соответствующий Член Кластера.</p><h2 id="SoftBalancer" tabindex="-1">Программный Балансировщик Нагрузки <a class="header-anchor" href="#SoftBalancer" aria-label="Permalink to &quot;Программный Балансировщик Нагрузки {#SoftBalancer}&quot;">​</a></h2><p>Динамический Кластер CommuniGate Pro может быть использован для управления программными балансировщиками нагрузки, такими как Linux IPVX, запущенными на тех же системах, что используются в качестве членов Кластера.</p><p>Выберите члены кластера, на которые будет распределяться входящий трафик. В конфигурации фронтенд-бэкенд для этого обычно используются все фронтенды.</p><p>Убедитесь, что на всех выбранных членах кластера в качестве алиаса на локальном интерфейсе (loopback) настроен адрес VIP (смотрите выше).</p><p>Через Веб Интерфейс Администратора откройте в разделе Установки страницу Кластер и выберите группу балансировки A для выбранных серверов:</p>`,44),s("form",{action:"Null.html"},[s("div",{class:"settingsBox"},[s("table",{width:"100%"},[s("tbody",null,[s("tr",null,[s("td",{align:"RIGHT",nowrap:"nowrap"},"Группа Балансировки Нагрузки:"),s("td",null,[s("select",{name:"BalancerGroup"},[s("option",{value:""}),s("option",{value:"A",selected:"selected"},"A"),s("option",{value:"B"},"B"),s("option",{value:"C"},"C"),s("option",{value:"D"},"D")])]),s("td",{align:"RIGHT",nowrap:"nowrap"},"-"),s("td",{nowrap:"nowrap"},[e("Вес Балансировки: "),s("select",{class:"popup",name:"BalancerRatio"},[s("option",{value:"0"},"0"),s("option",{value:"10"},"10"),s("option",{value:"25"},"25"),s("option",{value:"50"},"50"),s("option",{value:"75"},"75"),s("option",{value:"80"},"80"),s("option",{value:"100",selected:"selected"},"100"),s("option",{value:"150"},"150"),s("option",{value:"200"},"200"),s("option",{value:"500"},"500"),s("option",{value:"101"},"другое")])])])])])])],-1),n('<ul><li><p><code>Вес Балансировки</code></p><p>Используйте эту настройку для указания относительного веса этого сервера в Группе Балансировки Нагрузки. Чем больше это значение, тем большая часть входящих соединений TCP и пакетов UDP распределяется на этот сервер.</p></li></ul><p>Все или часть выбранных серверов должны быть оснащены программным обеспечением балансировщика нагрузки, и у них должна быть настроена программа-помощник &quot;Внешний балансировщик Нагрузки&quot;. Эта программа должна реализовывать <a href="./../../development/Helpers.html#Balancer">Протокол Помощника</a> Балансировки Нагрузки.</p><form action="Null.html"><div class="settingsBox"><table width="100%"><tbody><tr><td class="settingBoxCaption" colspan="2"><input name="U3" value="1" checked="checked" type="checkbox"><b> Внешний Балансировщик Нагрузки</b></td></tr></tbody><tbody><tr><td align="RIGHT" width="25%">Уровень Журнала:</td><td><select name="L3"><option value="0">Катастрофы</option><option value="1">Сбои</option><option value="2">Основное</option><option value="3">Проблемы</option><option value="4">Подробности</option><option value="5" selected="selected">Всё</option></select></td><td align="RIGHT" width="25%">Путь к Программе:</td><td><input name="P3" value="$Services/IPVSHelper.sh" size="30" maxlength="255" type="text"></td></tr><tr><td align="RIGHT">Тайм-аут:</td><td><select class="popup" name="T3"><option value="0">Никогда</option><option value="5">5 сек</option><option value="10">10 сек</option><option value="15">15 сек</option><option value="30" selected="selected">30 сек</option><option value="60">60 сек</option><option value="90">90 сек</option><option value="120">2 мин</option><option value="180">3 мин</option><option value="300">5 мин</option><option value="600">10 мин</option><option value="1800">30 мин</option><option value="3600">60 мин</option><option value="11">другое</option></select></td><td align="RIGHT">Авторестарт:</td><td><select class="popup" name="A3"><option value="0">Никогда</option><option value="5">5 сек</option><option value="10">10 сек</option><option value="15">15 сек</option><option value="30">30 сек</option><option value="60" selected="selected">60 сек</option><option value="90">90 сек</option><option value="120">2 мин</option><option value="180">3 мин</option><option value="300">5 мин</option><option value="600">10 мин</option><option value="1800">30 мин</option><option value="3600">60 мин</option><option value="7200">2 час</option><option value="21600">6 час</option><option value="61">другое</option></select></td></tr></tbody></table></div></form><p>Как только первая программа-помощник Балансировки Нагрузки запущена на Члене Кластера, Контроллер Кластера активизирует Балансировщик и направляет весь входящий трафик на этот член Кластера, который распределяет этот трафик на сервер Группы Балансировки этого члена Кластера.</p><p>Если член Кластера с активным Балансировщиком Нагрузки останавливается или переключается в состояние &quot;не готов&quot;, Контроллер Кластера запускает другой балансировщик нагрузки в этой же группе (если такой есть).</p><h3 id="IPVS" tabindex="-1">Linux IPVS <a class="header-anchor" href="#IPVS" aria-label="Permalink to &quot;Linux IPVS {#IPVS}&quot;">​</a></h3><p>Пакет CommuniGate Pro для Linux включает в себя сценарий оболочки <code>Services/IPVSHelper.sh</code>, который может быть использован для управления балансировщиком нагрузки IPVS.</p><p>Этот сценарий ожидает наличия файла с адресами VIP в <code>/etc/sysconfig/vipaddrs</code> и настройки локального интерфейса (loopback) с этими адресами (смотрите выше).</p><p>Укажите <code>$Services/IPVSHelper.sh _parameters_</code> в качестве пути к приложению-помощнику Внешнего Балансировщика Нагрузки, и запустите его, включив маркер Помощника.<br> Поддерживаются следующие параметры:</p><ul><li><p><code>-p _число_</code></p><p>постоянство: все соединения с того же адреса IP будут направлены на тот же Член Кластера, если они получены в течение указанного <em>числом</em> количества секунд. Укажите 0 (ноль) для отключения постоянства. По умолчанию используется значение 15 секунд.</p></li><li><p><code>-i _интерфейс_</code></p><p>имя сетевого интерфейса, на который приходят пакеты. адресованные на адрес VIP. По умолчанию используется имя <code>eth0</code>.</p></li><li><p><code>-s _число_</code></p><p>значение &quot;идентификатора синхронизации&quot; (syncID), который используется для синхронизации таблиц соединений с активного балансировщика нагрузки на другие Члены Кластера в этой же группе балансировки. По умолчанию используется значение 0.</p></li><li><p><code>-t _число_</code></p><p>значение тайм-аута (в секундах) на чтение команд, отправленных сервером CommuniGate Pro. По умолчанию используется значение 15 секунд.</p></li><li><p><code>-f _путь-к-файлу_</code></p><p>путь в файловой системе сервера к файлу со списком адресов VIP. По умолчанию используется значение <code>/etc/sysconfig/vipaddrs</code></p></li><li><p><code>-r _число_</code></p><p>значение относительного веса активного балансировщика в Группе Балансировки Нагрузки. Для всех других членов группы применяется значение 100. По умолчанию используется значение 100.</p></li><li><p><code>-m</code></p><p>если указан этот параметр, то программа-помощник не выполняет команды оболочки ОС на самом деле, а только записывает их в лог CommuniGate Pro.</p></li></ul><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>Рекомендуется использовать ядро Linux версии 3.5.3-1 или новее. При использовании более ранних версий ядра, соединения TCP к активному балансировщику нагрузки прерываются, когда другой сервер становится активным балансировщиком.</p></div><div class="tip custom-block"><p class="custom-block-title">Обратите внимание</p><p>Если на члене Кластера включить программу-помощник внешнего балансировщика нагрузки, а потом выключить. Некоторые активные соединения могут быть разорваны. Если вы не планируете снова запускать программу-помощник, перезапустите службу <code>ipvsadm</code> в ОС, или полностью отключите её.</p></div>',12)]))}const y=i(t,[["render",h]]);export{E as __pageData,y as default};
